package _VisualDVM.TestingSystem.SAPFOR.SapforTasksPackage.UI;
import _VisualDVM.TestingSystem.SAPFOR.SapforTask.ComparisonState;
import _VisualDVM.TestingSystem.SAPFOR.SapforTask.SapforTask;
public class SapforTaskNode extends SapforPackageTreeNode {
    public SapforTaskNode(SapforTask task_in) {
        setUserObject(task_in);
    }
    @Override
    public String getImageKey() {
        SapforTask task = (SapforTask) getUserObject();
        //обычный режим
        if (task.comparisonState == ComparisonState.Unknown) {
            return task.state.toString();
        }
        //режим сравнения.
        else {
            return task.comparisonState.toString() + task.state.toString();
        }
    }
}
